## r-cran-gmp 0.6

=== DESCRIPTION ===
Package: gmp
Version: 0.6-2.1
Date: 2021-01-07
Title: Multiple Precision Arithmetic
Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
  Sylvain Jasson <Sylvain.Jasson@inrae.fr>,
  Martin Maechler <maechler@stat.math.ethz.ch>
Maintainer: Antoine Lucas <antoinelucas@gmail.com>
Description: Multiple Precision Arithmetic (big integers and rationals,
 prime number tests, matrix computation), "arithmetic without limitations"
 using the C library GMP (GNU Multiple Precision Arithmetic).
Depends: R (>= 3.5.0)
Imports: methods
Suggests: Rmpfr, MASS, round
SystemRequirements: gmp (>= 4.2.3)
License: GPL (>= 2)
BuildResaveData: no
LazyDataNote: not available, as we use data/*.R *and* our classes
NeedsCompilation: yes
URL: https://forgemia.inra.fr/sylvain.jasson/gmp
Packaged: 2021-11-02 17:06:16 UTC; hornik
Repository: CRAN
Date/Publication: 2021-11-02 18:34:08 UTC

## r-cran-gmp 0.6-0

=== debian/changelog ===
r-cran-gmp (0.6-0-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jun 2020 08:43:49 +0200

r-cran-gmp (0.6-0-1) unstable; urgency=medium

  * Team upload.
  * Initial release (closes: #961693)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jun 2020 23:14:44 +0200

=== debian/control ===
Source: r-cran-gmp
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Rodrigo Carvalho <rodrigorsdc@gmail.com>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               libgmp-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gmp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gmp.git
Homepage: https://cran.r-project.org/package=gmp
Rules-Requires-Root: no

Package: r-cran-gmp
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Multiple Precision Arithmetic
 Multiple Precision Arithmetic (big integers and rationals,
 prime number tests, matrix computation), "arithmetic without limitations"
 using the C library GMP (GNU Multiple Precision Arithmetic).

## r-cran-gmp 0.6-2

=== debian/changelog ===
r-cran-gmp (0.6-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 23:27:05 +0100

r-cran-gmp (0.6-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 06 Oct 2020 12:34:25 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                libgmp-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gmp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gmp.git
 Homepage: https://cran.r-project.org/package=gmp

## r-cran-gmp 0.6-2.1

=== debian/changelog ===
r-cran-gmp (0.6-2.1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.6-2.1
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 04 Nov 2021 03:52:23 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                libgmp-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gmp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gmp.git
 Homepage: https://cran.r-project.org/package=gmp

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/gmp_([-\d.]*)\.tar\.gz

## r-cran-gmp 0.6-6

=== debian/changelog ===
r-cran-gmp (0.6-6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Aug 2022 17:57:53 +0200

r-cran-gmp (0.6-5-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.6-5

 -- Nilesh Patra <nilesh@debian.org>  Sun, 20 Mar 2022 02:48:01 +0530

r-cran-gmp (0.6-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2022 21:12:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-gmp
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Rodrigo Carvalho <rodrigorsdc@gmail.com>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gmp
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gmp.git
+Homepage: https://cran.r-project.org/package=gmp
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libgmp-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gmp
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gmp.git
-Homepage: https://cran.r-project.org/package=gmp
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-gmp
 Architecture: any

## r-cran-gmp 0.7

=== DESCRIPTION ===
Package: gmp
Version: 0.7-5.1
Date: 2024-08-23
Title: Multiple Precision Arithmetic
Authors@R: c(person("Antoine","Lucas",role = c("aut","cre"),
	  email = "antoinelucas@gmail.com", comment = c(ORCID="0000-0002-8059-9767")),
	  person("Immanuel","Scholz", role= "aut"),
	  person("Rainer","Boehme", role = "ctb", email= "rb-gmp@reflex-studio.de"),
 	  person("Sylvain","Jasson", role = "ctb", email= "Sylvain.Jasson@inrae.fr"),
	  person("Martin", "Maechler", role = "ctb", email="maechler@stat.math.ethz.ch"))
Maintainer: Antoine Lucas <antoinelucas@gmail.com>
Description: Multiple Precision Arithmetic (big integers and rationals,
 prime number tests, matrix computation), "arithmetic without limitations"
 using the C library GMP (GNU Multiple Precision Arithmetic).
Depends: R (>= 3.5.0)
Imports: methods
Suggests: Rmpfr, MASS, round
SystemRequirements: gmp (>= 4.2.3)
License: GPL (>= 2)
BuildResaveData: no
LazyDataNote: not available, as we use data/*.R *and* our classes
NeedsCompilation: yes
URL: https://forgemia.inra.fr/sylvain.jasson/gmp
Packaged: 2026-02-09 09:14:53 UTC; ripley
Author: Antoine Lucas [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-8059-9767>),
  Immanuel Scholz [aut],
  Rainer Boehme [ctb],
  Sylvain Jasson [ctb],
  Martin Maechler [ctb]
Repository: CRAN
Date/Publication: 2026-02-09 09:19:08 UTC

## r-cran-gmp 0.7-1

=== debian/changelog ===
r-cran-gmp (0.7-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 20 Feb 2023 13:56:50 +0100

r-cran-gmp (0.6-10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 15:15:25 +0100

r-cran-gmp (0.6-9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 08:58:32 +0100

r-cran-gmp (0.6-8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 15 Nov 2022 11:42:24 +0100

r-cran-gmp (0.6-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 09:46:44 +0100

## r-cran-gmp 0.7-2

=== debian/changelog ===
r-cran-gmp (0.7-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 23 Jul 2023 12:45:38 +0200

## r-cran-gmp 0.7-4

=== debian/changelog ===
r-cran-gmp (0.7-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 13:24:19 +0100

r-cran-gmp (0.7-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 18:54:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gmp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gmp.git
 Homepage: https://cran.r-project.org/package=gmp
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-gmp 0.7-5

=== debian/changelog ===
r-cran-gmp (0.7-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 08:43:06 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gmp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gmp.git
 Homepage: https://cran.r-project.org/package=gmp
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rmpfr,
        r-cran-mass
Restrictions: allow-stderr

## r-cran-gmp 0.7-5.1

=== debian/changelog ===
r-cran-gmp (0.7-5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 08:11:51 +0900

=== debian/control ===
Source: r-cran-gmp
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Rodrigo Carvalho <rodrigorsdc@gmail.com>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 libgmp-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gmp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gmp.git
Homepage: https://cran.r-project.org/package=gmp
Rules-Requires-Root: no

Package: r-cran-gmp
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Multiple Precision Arithmetic
 Multiple Precision Arithmetic (big integers and rationals,
 prime number tests, matrix computation), "arithmetic without limitations"
 using the C library GMP (GNU Multiple Precision Arithmetic).

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-rmpfr,
 r-cran-mass,
